
#ifndef  __JBXL_CPP_TOLERANCE_H_
#define  __JBXL_CPP_TOLERANCE_H_


/**
各種トレランス

*/


//
namespace jbxl {



// 相対値
extern double	Vertex_Tolerance;
extern double	Edge_Tolerance;
extern double	Face_Tolerance;

// 絶対値
extern double	Abs_Vertex_Tolerance;
extern double	Collision_Tolerance;		// 衝突判定用トレランス
extern double	Sin_Tolerance;				// sinθ==0 


// 1に対して 0とするトレランス
extern double	Zero_Eps;
extern double	Zero_Eps2;


/*
inline void SetZeroEPS(double eps)				{Zero_Eps = eps;}
inline void SetVertexTolerance(double tol)		{Vertex_Tolerance = tol;}
inline void SetEdgeTolerance(double tol)		{Edge_Tolerance = tol;}
inline void SetFaceTolerance(double tol)		{Face_Tolerance = tol;}
inline void SetCollisionTolerance(double tol)	{Collision_Tolerance = tol;}
inline void SetSINTolerance(double tol)			{Sin_Tolerance = tol;}
inline void SetAbsVertexTolerance(double tol)	{Abs_Vertex_Tolerance = tol;}
*/



}		// namespace


#endif

